import { getUsers } from "@/drizzle/db";
import SignIn from "@/components/SignIn";
import { auth } from "@/auth";
import { Session } from "next-auth";
import { ThemeSwitcher } from "@/components/ThemeSwitcher";

export default async function Home() {
  const users = await getUsers();
  const session: Session | null = await auth();
  return (
    <main>
      <div className="w-full h-full flex flex-col items-center">
        <SignIn session={session} />
        <ThemeSwitcher />
      </div>
    </main>
  );
}
